Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03683 Crash/Freeze Critical (emulator) Always Jan 24, 2010, 14:39 May 14, 2010, 22:06
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver vertigo.cpp
Version 0.136u1 Fixed in Version 0.138 Build Normal
Summary 03683: topgunnr: Crashes MAME after INSERT COIN/GAME START
Description Top Gunner crashes MAME/Windows after you calibrate the control
and INSERT COIN/GAME START.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.129u5
Affected Sets / Systems topgunnr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.05564
Haze
Senior Tester
Jan 24, 2010, 18:21
hardlocks my 64-bit build, had to kill it with task manager.
User avatar
No.05565
Tafoid
Administrator
Jan 24, 2010, 18:29
I confirm a hard lock on 0.136u1, 32-bit build.
User avatar
No.05935
bji
Tester
Apr 2, 2010, 06:23
Confirmed on MAME 0.137u1 on Linux x86-64. This appears to be an infinite recursion blowing the stack:

#0 add_to_sound_cache (input=0x4a80 <Address 0x4a80 out of bounds>,
    address=19072, length=2048, bits=3, frequency=25350)
    at src/mame/audio/exidy440.c:630
#1 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
    bits=3, frequency=25350) at src/mame/audio/exidy440.c:631
#2 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
    bits=3, frequency=25350) at src/mame/audio/exidy440.c:631
#3 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
    bits=3, frequency=25350) at src/mame/audio/exidy440.c:631
#4 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
    bits=3, frequency=25350) at src/mame/audio/exidy440.c:631
#5 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
    bits=3, frequency=25350) at src/mame/audio/exidy440.c:631
#6 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
    bits=3, frequency=25350) at src/mame/audio/exidy440.c:631

[repeated over 100,000 times]

at the top of the stack:

#104477 0x00007fffedb7b648 in add_to_sound_cache (
    input=0x4a80 <Address 0x4a80 out of bounds>, address=19072, length=2048,
#104478 0x00007fffedb7b765 in find_or_add_to_sound_cache (machine=0x713ea0,
    address=19072, length=2048, bits=3, frequency=25350)
    at src/mame/audio/exidy440.c:655
#104479 0x00007fffedb7b8b3 in play_cvsd (machine=0x713ea0, ch=3)
    at src/mame/audio/exidy440.c:684
#104480 0x00007fffedb7b511 in m6844_w (space=0x8248a0, offset=20, data=8 '\b')
    at src/mame/audio/exidy440.c:576
#104481 0x00007fffee412d79 in write_byte_generic (space=0x8248a0,
    byteaddress=32788, data=8 '\b') at src/emu/memory.c:590
#104482 0x00007fffee41dc7d in memory_write_byte_8be (space=0x8248a0,
    address=32788, data=8 '\b') at src/emu/memory.c:4272
#104483 0x00007fffeea7bd30 in sta_ex (m68_state=0x717810)
    at src/emu/cpu/m6809/6809ops.c:2053
#104484 0x00007fffeea8221c in cpu_execute_m6809 (device=0x717740, cycles=769)
    at src/emu/cpu/m6809/m6809.c:697
#104485 0x00007fffee3a238c in cpuexec_timeslice (machine=0x713ea0)
    at src/emu/cpuexec.c:328
#104486 0x00007fffee40bcc8 in mame_execute (options=0x7060e0)
    at src/emu/mame.c:326
#104487 0x00007fffef069e90 in LibMame_RunGame (gamenum=4863,
    options=0x7fffffffb000, cbs=0x605960, callback_data=0x7fffffffe560)
    at src/libmame/libmame_rungame.c:1106
#104488 0x000000000040349f in main ()